Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl
Class PhoneticEncodersConfig

    java.lang.Object
      com.sun.mdm.index.configurator.impl.PhoneticEncodersConfig

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class PhoneticEncodersConfig
extends java.lang.Object
implements ConfigurationInfo

Phonetic encoder configuration information. Handles the parsing of the Phonetic Encoder configuration and exposes the settings.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `PhoneticEncodersConfig.Attributes` Attributes that correspond to the XML attribute names.
`static class` | `PhoneticEncodersConfig.Tags` Tags that correspond to the XML node names.

Field Summary
`static java.lang.String` | `PHONETIC_ENCODERS` Module Name to use with the Configuration Service to load the Phonetic Encoder configuration

Constructor Summary
`PhoneticEncodersConfig()` Creates new StandardizationConfiguration

Method Summary
`int` | `finish()` Finish.
`java.util.HashMap` | `getEncodersClasses()` Returns the hashmap for all the configured available encoders.
`java.lang.String` | `getModuleType()` Getter for ModuleType attribute of the PhoneticEncodersConfig object.
`int` | `init()` Initialize.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PHONETIC_ENCODERS

    public static final java.lang.String PHONETIC_ENCODERS

  Module Name to use with the Configuration Service to load the Phonetic Encoder configuration

  See Also:
    Constant Field Values

Constructor Detail

### PhoneticEncodersConfig

    public PhoneticEncodersConfig()

  Creates new StandardizationConfiguration

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getEncodersClasses

    public java.util.HashMap getEncodersClasses()

  Returns the hashmap for all the configured available encoders. The hashmap maps the encoding type to the fully qualified class name of the PhoneticEncoder implementation to use.

  Returns:
    configured encoder implementation classes

### getModuleType

    public java.lang.String getModuleType()

  Getter for ModuleType attribute of the PhoneticEncodersConfig object.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    the type of this configuration module

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.